<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmCmdInfo Structure
See Also Members

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmCmdInfo Structure

Visual Basic
C#
C++/CLI
Contains information about menu command items.

# Syntax

Visual Basic |
--- | ---

    Public Structure EdmCmdInfo
       Inherits System.ValueType

C# |
--- | ---

    public struct EdmCmdInfo : System.ValueType

C++/CLI |
--- | ---

    public value class EdmCmdInfo : public System.ValueType

# Example

struct EdmCmdInfo{
integer mlCmdID;
string mbsCmdStr;
string mbsTooltip;
string mbsStatusBarHelp;
integer mlEdmMenuFlags;
object moData;
};

# Example

Get Menu Command Items (VB.NET)
Get Menu Command Items (C#)

# Remarks

Used in IEdmMenu6.

# See Also

####

EdmCmdInfo Members
EPDM.Interop.epdm Namespace

# Availability

SOLIDWORKS PDM Professional 2009